This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 218229 - (pear-Image-Color) Review Request: php-pear-Image-Color - Manage and handles color data and conversions
Review Request: php-pear-Image-Color - Manage and handles color data and conv...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-03 17:16 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 15:00:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-12-03 17:16:04 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Image-Color.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Image-Color-1.0.2-1.src.rpm

Description:
Manage and handles color data and conversions.
Comment 1 Remi Collet 2006-12-07 13:50:17 EST
This package is used by php-pear-Image-Canvas in which tests works (so this
package works).

REVIEW
* source files match upstream:
a4a1a6f5c0f72d235930902cc1ee2e94  /tmp/Image_Color-1.0.2.tgz
a4a1a6f5c0f72d235930902cc1ee2e94  SOURCES/Image_Color-1.0.2.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible (PHP).
* latest version is being packaged (1.0.2)
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides are sane:
php-pear(Image_Color) = 1.0.2
php-pear-Image-Color = 1.0.2-1.fc7
* %check is not present; no test suite provide.
* owns the directories it creates (see comment)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Should : remplace in %file
%{pear_phpdir}/*
by
%{pear_phpdir}/Image

More explicit and allow detection of new directory in next release (testdir p.e.)

APPROVED
Comment 2 Christopher Stone 2006-12-07 15:00:02 EST
Added Image dir.  Built successfully on devel.  Requested CVS sync with FC5/6. 
Added entry to owners.list.

Thanks for the review.
Comment 3 Christopher Stone 2007-04-29 14:36:20 EDT
Package Change Request
======================
Package Name: php-pear-Image-Color
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.